package ru.kayashov.bar.model.entity;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum Glass {
    HIGHBALL("Хайболл"),
    COCKTAIL("Коктейльный бокал"),
    COLLINS("Стакан"),
    POUSSE("Рюмка на ножке"),
    CHAMPAGNE("Бокал флюте"),
    BRANDY("Коньячный бокал"),
    HURRICANE("Ураган"),
    COFFEE("Кофейная кружка"),
    SHOT("Рюмка"),
    JAR("Банка"),
    PITCHER("Кувшин"),
    CORDIAL("Ликерная рюмка"),
    BEER("Пивной бокал"),
    WINE("Бокал для вина"),
    MARGARITA("Бокал Маргарита");

    private final String name;

    public static Glass findValue(String name) {
        for (Glass glass : Glass.values()) {
            if (glass.name.equals(name)) {
                return glass;
            }
        }
        throw new RuntimeException("Не существует значение " + name);
    }

}
